## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.EntrySetIterator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractIteratorDecorator
          org.apache.commons.collections.bidimap.AbstractDualBidiMap.EntrySetIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  AbstractDualBidiMap

protected static class AbstractDualBidiMap.EntrySetIterator
extends AbstractIteratorDecorator

Inner class EntrySetIterator.

Field Summary
`protected boolean` `canRemove` Whether remove is allowed at present
`protected Map.Entry` `last` The last returned entry
`protected AbstractDualBidiMap` `parent` The parent map

Fields inherited from class org.apache.commons.collections.iterators.AbstractIteratorDecorator
`iterator`

Constructor Summary
`protected` `AbstractDualBidiMap.EntrySetIterator(Iterator iterator, AbstractDualBidiMap parent)` Constructor.

Method Summary
`Object` `next()`
`void` `remove()`

Methods inherited from class org.apache.commons.collections.iterators.AbstractIteratorDecorator
`getIterator, hasNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected final AbstractDualBidiMap parent

  The parent map

### last

    protected Map.Entry last

  The last returned entry

### canRemove

    protected boolean canRemove

  Whether remove is allowed at present

Constructor Detail

### AbstractDualBidiMap.EntrySetIterator

    protected AbstractDualBidiMap.EntrySetIterator(Iterator iterator,
                                                   AbstractDualBidiMap parent)

  Constructor.

Parameters:
  `iterator` - the iterator to decorate
  `parent` - the parent map

Method Detail

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`
  Overrides:
    `next` in class `AbstractIteratorDecorator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`
  Overrides:
    `remove` in class `AbstractIteratorDecorator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.